project "EngineTests"
    kind "ConsoleApp"
    language "C++"


    targetdir "%{wks.location}/%{prj.name}/build/%{cfg.buildcfg}"
    objdir "%{wks.location}/%{prj.name}/build/%{cfg.buildcfg}/intermediates/"

    files{"**.h", "**.cpp"}

    includedirs{
        "../YoggieEngine/src",
        incfolder["lua"],
        incfolder["spdlog"],
        incfolder["glm"],
        incfolder["glad"],
        incfolder["glfw"],
        incfolder["imgui"],
        incfolder["imguizmo"],
        incfolder["entt"],
        "../libs/physx/physx/include",
        "../libs/physx/pxshared/include",
        incfolder["GoogleTest"]

    }

    libdirs {
        staticlib["yoggie"],
        staticlib["GoogleTest"]
    }

    links{
        "YoggieEngine",
        "gtest"
    }